Package Details: stopmotion 0.8.0-1

Git Clone URL: (read-only)
Package Base: stopmotion
Description: Stop motion animation creation program
Upstream URL:
Licenses: GPL
Conflicts: linuxstopmotion-git
Submitter: mgrimes
Maintainer: mgrimes
Last Packager: mgrimes
Votes: 12
Popularity: 0.000000
First Submitted: 2007-05-31 03:54
Last Updated: 2015-06-08 21:00

Latest Comments

macxcool commented on 2014-07-29 13:06

It makes a lot of sense to have a package the follows what the devs consider to be a stable release cycle. I think this package should stay, although the name might be changed to linuxstopmotion since the project's name has been officially changed.

mgrimes commented on 2014-07-10 18:09

Thanks for the heads up macxcool and the links sbechet. I'm uploading a new version based on the 0.8.0 tag in git. The PKGBUILD is heavily based on macxcool's linuxstopmotion-git. As I understand it, the -git based package will build the bleeding edge and this can continue to build from released versions based on the tags. I don't use this package anymore. I'm happy to keep maintaining it, but I would also be willing to obsolete it in favor of linuxstopmotion-git or hand it off to someone who does use it.

sbechet commented on 2014-07-01 08:36

Information is better with new URL

sbechet commented on 2014-06-30 21:54

Information is better with new URL :-)

macxcool commented on 2014-06-17 12:24

The Stopmotion team has released 0.8.0 via git. 0.8.0 is a the new stable snapshot. They aren't releasing source tarballs anymore. The stable releases are via git snapshot now.

mgrimes commented on 2013-07-01 15:47

It seems /etc/profile.d/ has been removed. If just qt4 is installed it cannot find qmake. There is probably a better way of doing this, but for the moment I'm adding /usr/lib/qt4/bin to the PATH.

Anonymous comment on 2013-07-01 12:17

stopmotion 0.6.2-5 creates an empty package when building with makepkg on an up to date Arch-Linux on x86_64 architecture.

Reason: Use of deprectated variable $startdir in PKGBUILD
Fix: replace all occurencies of "$startdir/pkg" with "$pkgdir"

nickoe commented on 2013-03-28 10:50

Does not build for me.

In file included from ./src/presentation/frontends/qtfrontend/framebar/framebar.h:27:0,
from ./src/presentation/frontends/qtfrontend/mainwindowgui.h:24,
from src/presentation/frontends/qtfrontend/qtfrontend.h:25,
from src/main.cpp:24:
./src/presentation/frontends/qtfrontend/framebar/thumbview.h:26:18: fatal error: QLabel: No such file or directory
compilation terminated.
make: *** [main.o] Error 1

mgrimes commented on 2012-10-17 16:50

Updated dependencies.

tgirod commented on 2012-10-17 08:20

missing build dependency : libtar

mgrimes commented on 2012-09-04 13:09

I just uploaded a new version with a patch that addresses the problem. Seems newer gcc removed some includes from the standard library headers. The patch adds includes for unistd.h. A similar problem was discussed here:

And the debian folks addressed it here:

I was also able to remove a couple of (I believe) unnecessary dependancies. Please let me know if anyone notice a problem.

wasperen commented on 2012-09-03 18:30

Fails for me too:

src/presentation/frontends/qtfrontend/mainwindowgui.cpp: In member function ‘void MainWindowGUI::updateMostRecentMenu()’:
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1117:21: error: ‘R_OK’ was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1117:25: error: ‘access’ was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1129:22: error: ‘R_OK’ was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1129:26: error: ‘access’ was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1141:21: error: ‘R_OK’ was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1141:25: error: ‘access’ was not declared in this scope
make: *** [mainwindowgui.o] Error 1
==> ERROR: A failure occurred in build().

on X86_64, pretty much up to date with latest package releases

Anonymous comment on 2012-04-15 14:54

It fails for me, on x686_32 with:
make: *** [mainwindowgui.o] Error 1
==> ERROR: A failure occurred in build().

mgrimes commented on 2012-01-04 16:43

Thanks for the comments. I just got the out-of-date notice, I hadn't seen them before. I am updating the PKGBUILD to conform to the $srcdir and $pkgver style, etc. I've also included a patch to add the X11 lib. It compiles fine for me now.

tlvince commented on 2012-01-04 00:11

This fails to build with the following error:

/usr/bin/ld: frameview.o: undefined reference to symbol 'XSync'

There is a corresponding [debian bug report][1] that mentions a patch, which I tried to no avail.

I have however updated the style of the PKGBUILD. [Here's a diff][2].


fukawi2 commented on 2010-10-25 08:41

a) I can confirm this working on x86_64 - please add to the arch array
b) You should change $startdir vars to $srcdir and $pkgver
c) make can't handle running parallel jobs to build this package. You need to pass -j1 to the make commands to make sure it only does 1 job at a time :)